{	
	name: 'halvedef',
	duration: 1,
    onModifyDef(def) {
      this.debug('Halving Defense due to Explosion/Self-Destruct');
      return this.chainModify(0.5);
    },
    onModifySpD(spd) {
      this.debug('Halving Special Defense due to Misty Explosion');
      return this.chainModify(0.5);
    }
}